<script setup lang="ts">
import { watch } from 'vue'
import { usePayrollDetailStore } from '../stores/payrollDetail'
import { computed } from 'vue'

const payrollDetailStore = usePayrollDetailStore()

</script>
<template>
  <div class="pa-4 text-center">
    <v-dialog v-model="payrollDetailStore.dialog" max-width="800" persistent>
      <v-form>
        <v-card class="pa-5" prepend-icon="mdi-account" title="Payroll Detail" rounded="xl">
          <v-divider></v-divider>
          <v-card-text>
            <v-row>
              <v-col cols="12">
                <h2>ข้อมูลพนักงาน</h2>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="12">
                <h3>
                  ชื่อ - นามสกุล : {{ payrollDetailStore.itemEdit.employee?.firstName }}
                  {{ payrollDetailStore.itemEdit.employee?.lastName }}
                </h3>
                <h3>รหัสพนักงาน : {{ payrollDetailStore.itemEdit.employee?.id }}</h3>
              </v-col>
            </v-row>
            <v-card class="pa-5">
              <v-card-text>
                <v-row>
                  <v-col cols="6">
                    <h3>เงินเดือน/ค่าจ้าง</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.employee.moneyRate"
                      :value="payrollDetailStore.itemEdit.employee.moneyRate"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                    ></v-text-field>
                  </v-col>
                  <v-col cols="12">
                    <v-divider></v-divider>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="12">
                    <h3>รายการปรับเพิ่ม</h3>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>ค่าล่วงเวลา</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.overtime"
                      :value="payrollDetailStore.itemEdit.payrollDetail.overtime"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>ค่านายหน้า</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.commission"
                      :value="payrollDetailStore.itemEdit.payrollDetail.commission"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>ค่าเบี้ยเลี้ยง/ค่าครองชีพ</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.allowances"
                      :value="payrollDetailStore.itemEdit.payrollDetail.allowances"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>โบนัส</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.bonus"
                      :value="payrollDetailStore.itemEdit.payrollDetail.bonus"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>เงินได้อื่นๆ</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.otherEarning"
                      :value="payrollDetailStore.itemEdit.payrollDetail.otherEarning"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                    ></v-text-field>
                  </v-col>
                  <v-col cols="12">
                    <v-divider></v-divider>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="12">
                    <h3>รายการปรับลด</h3>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>ประกันสังคม</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.socialSecurityFund"
                      :value="payrollDetailStore.itemEdit.payrollDetail.socialSecurityFund"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>ภาษีหัก ณ ที่จ่าย</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.withHoldingTax"
                      :value="payrollDetailStore.itemEdit.payrollDetail.withHoldingTax"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>เงินกู้ยืม กยศ./กรอ.</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.studentLoanFund"
                      :value="payrollDetailStore.itemEdit.payrollDetail.studentLoanFund"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>เงินประกัน</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.deposit"
                      :value="payrollDetailStore.itemEdit.payrollDetail.deposit"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>ขาด/ลา/มาสาย</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.leave"
                      :value="payrollDetailStore.itemEdit.payrollDetail.leave"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>รายการหักอื่นๆ</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.otherDeduction"
                      :value="payrollDetailStore.itemEdit.payrollDetail.otherDeduction"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                    ></v-text-field>
                  </v-col>
                  <v-col cols="12">
                    <v-divider></v-divider>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="12">
                    <h3>สรุปรายการ</h3>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>เงินได้สะสม</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.ytdEarning"
                      :value="payrollDetailStore.itemEdit.payrollDetail.ytdEarning"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                      readonly
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>ภาษีหัก ณ ที่จ่ายสะสม</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.ytdWithHoldingTax"
                      :value="payrollDetailStore.itemEdit.payrollDetail.ytdWithHoldingTax"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                      readonly
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>เงินประกันสังคมสะสม</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.collectSSF"
                      :value="payrollDetailStore.itemEdit.payrollDetail.collectSSF"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                      readonly
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>รวมเงินได้</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.totalEarning"
                      :value="payrollDetailStore.itemEdit.payrollDetail.totalEarning"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                      readonly
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>รวมรายการหัก</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.totalDeduction"
                      :value="payrollDetailStore.itemEdit.payrollDetail.totalDeduction"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                      readonly
                    ></v-text-field>
                  </v-col>
                </v-row>
                <v-row>
                  <v-col cols="6">
                    <h3>เงินได้สุทธิ</h3>
                  </v-col>
                  <v-col cols="6">
                    <v-text-field
                      label=""
                      v-model="payrollDetailStore.itemEdit.payrollDetail.netPay"
                      :value="payrollDetailStore.itemEdit.payrollDetail.netPay"
                      @click:append-inner="payrollDetailStore.calculatePayrollDetail()"
                      @keyup.enter="payrollDetailStore.calculatePayrollDetail()"
                      prefix="฿"
                      variant="outlined"
                      readonly
                    ></v-text-field>
                  </v-col>
                </v-row>
              </v-card-text>
            </v-card>
          </v-card-text>

          <v-divider></v-divider>

          <v-card-actions>
            <v-spacer></v-spacer>

            <v-btn text="Close" variant="plain" @click="payrollDetailStore.closeDialog()"></v-btn>

            <v-btn
              text="Save"
              variant="plain"
              @click="payrollDetailStore.savePayrollDetail()"
            ></v-btn>
          </v-card-actions>
        </v-card>
      </v-form>
    </v-dialog>
  </div>
</template>
